<?php

date_default_timezone_set("America/Bogota" ) ; 
$fecha = date('Y-m-d h:i:s');


include ("../control/conexion.php");
//obtenemos el archivo .csv
$tipo = $_FILES['archivo']['type'];
 
$tamanio = $_FILES['archivo']['size'];
 
$archivotmp = $_FILES['archivo']['tmp_name'];
 
//cargamos el archivo
$lineas = file($archivotmp);
 
//inicializamos variable a 0, esto nos ayudará a indicarle que no lea la primera línea
$i=0;
 
//Recorremos el bucle para leer línea por línea
foreach ($lineas as $linea_num => $linea)
{ 
   //abrimos bucle
   /*si es diferente a 0 significa que no se encuentra en la primera línea 
   (con los títulos de las columnas) y por lo tanto puede leerla*/
   if($i != 0) 
   { 
       //abrimos condición, solo entrará en la condición a partir de la segunda pasada del bucle.
       /* La funcion explode nos ayuda a delimitar los campos, por lo tanto irá 
       leyendo hasta que encuentre un ; */
       $datos = explode(";",$linea);
 
       //Almacenamos los datos que vamos leyendo en una variable
       //usamos la función utf8_encode para leer correctamente los caracteres especiales
       $txtCodProd = $datos[0];
       $intSorteo = utf8_encode($datos[1]);
       $intCodPremio = utf8_encode($datos[2]);
       $intNumPremio = utf8_encode($datos[3]);
       $txtNumero = utf8_encode($datos[4]);
       $txtSerie = utf8_encode($datos[5]);
       $intIdMupio = utf8_encode($datos[6]);
       
       $array = array("","Mayor","seco 100 Millones");
      
  $longitud = count($array);
 
//Recorro todos los elementos
for($i=0; $i<$longitud; $i++)
      {
      //saco el valor de cada elemento
	  echo $jul=$array[$i];
	  echo "<br>";
      }
      
       $consulta= "SELECT * FROM municipios"; 
$resultado= mysql_query($consulta,$conex) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
$codigo_municipio = $fila['codigo_municipio'];
$nomb_municipio = $fila['nomb_municipio'];
$departamento = $fila['departamento']; 
    if($intIdMupio== $codigo_municipio){ 
    
    
      
                                                                                                                                                                                                                                                                                                                                                                                              
$const="INSERT INTO premios(txtCodProd,intSorteo,intCodPremio,intNumPremio,txtNumero,txtSerie,intIdMupio,fecha,premio) VALUES('$txtCodProd', '$intSorteo', '$intCodPremio', '$intNumPremio', '$txtNumero', '$txtSerie', '$intIdMupio', '$fecha','$jul')";
         
          }
      
      
       //guardamos en base de datos la línea leida
      mysql_query($const);
 
       //cerramos condición
   }
 
   /*Cuando pase la primera pasada se incrementará nuestro valor y a la siguiente pasada ya 
   entraremos en la condición, de esta manera conseguimos que no lea la primera línea.*/
   $i++;
   //cerramos bucle
}
   
echo '<script language = javascript>
     alert("carga correcta muchas gracias")
     self.location = "../premios.php"
     </script>'; 
?>